Skip to main content
POST
/
chatbots
/
{chatbotId}
/
contacts
Create contacts for a chatbot
curl --request POST \
  --url https://www.chatbase.co/api/v1/chatbots/{chatbotId}/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "users": [
    {
      "external_id": "user_123",
      "name": "John Doe",
      "email": "john@example.com",
      "phonenumber": "+1234567890",
      "stripe_accounts": [
        {
          "label": "main",
          "stripe_id": "cus_123abc456",
          "stripe_email": "john@example.com"
        }
      ],
      "custom_attributes": {
        "department": "Sales",
        "subscription_tier": "Premium"
      }
    }
  ]
}
'
{
  "message": "Success",
  "data": [
    {
      "id": "contact_internal_123",
      "external_id": "user_123",
      "name": "John Doe",
      "email": "john@example.com",
      "phonenumber": "+1234567890",
      "stripe_accounts": [
        {
          "label": "main",
          "stripe_id": "cus_123abc456",
          "stripe_email": "john@example.com"
        }
      ],
      "custom_attributes": {
        "department": "Sales",
        "subscription_tier": "Premium"
      },
      "created_at": 1704067200,
      "updated_at": 1704153600
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://chatbase.co/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key in Bearer token format

Path Parameters

chatbotId
string
required

ID of the chatbot

Body

application/json
users
object[]
required

Array of contacts to create (1-1000)

Required array length: 1 - 1000 elements

Response

Contacts created successfully

message
string
Example:

"Success"

data
object[]